Hello great video Kevin, can you please explain why you had the && res.size() < size check condition with every for loop, I am a little lost. Thank you!
Wow, I thought about doing it this way but was afraid to because I thought the numerous for loops inside the while loop seemed wrong but apparently not lol Thanks Kevin! Just one question, why have the same check inside the for loops when the while loop does it for you ?
The nums.size() < size check is to help with dealing with certain edge cases that makes the algo (for some odd reason) run backwards like this case: [[1,2,3,4],[5,6,7,8],[9,10,11,12]] without the check, the output is: [1,2,3,4,8,12,11,10,9,5,6,7,6] which is incorrect
I think we need to check the same condition for all for-loops because the ArrayList may get filled mid-way of the while loop(i.e maybe after running only left to right or after top to bottom) and in that case, we don't want the rest of the for-loops to run in that iteration.
Thank you for all your work man :) I'm going to have an interview for interning at Facebook this month. First missing positive of LC or more videos related to Binary Search and strategies to apply on arrays would be AWESOME. Thank you.
love your coding videos.thanks for your help. I have a quick question. If you have 5+ years of software engineer experience, should we only expect medium or hard problems?
Thanks Aswin and honestly I think it varies regardless your level of experience...i kind of think the level of difficulty you get is up to chance...but for system design interviews I think the more experience you have the more they'll expect from you!
i think in second loop of for where list is added , it should be nums.add(matrix[i][right]) ; in place of nums.add(matrix[top][right]) , else it will repeat 6
Hi Kevin, Can you tell me what software you use to edit the videos with the music in the beginning and the end. Is it some mobile app or some Adobe software ?
I personally think LeetCode is the best but you can also check out hacker rank for other questions and pramp for mock interviews! If you need help preparing or want to practice mock interviews etc I offer those services too here: www.patreon.com/KevinNaughtonJr
duddddeeeeee, I was replaying the video SOOO many times cause i didn't understand why we wrote matrix[top][right] and not matrix[ i ][right]!! and then when i gave up and continued the video it was corrected. F in the chat
function createMatrix(n, m = n) { let i = 1; return new Array(m).fill(null).map(() => { return new Array(n).fill(null).map(() => i++) }) } function spiralTraverseMatrix(matrix) { const items = []; if (!matrix.length) return items; let top = 0; let bottom = matrix.length - 1; let left = 0; let right = matrix[0].length - 1; const size = (bottom + 1) * (right + 1); while( top
The inotro and outro music are rather goofy, but it is *so* nice to hear an algorithm explained in normal, US accent English instead of, well, you know!
hey Kevin, great work on these problems, helped me understand a lot of patterns. can you just link the songs that you put in your videos? you have a great playlist!
spirals are FUN
instagram: instagram.com/kevinnaughtonjr/
twitter: twitter.com/kevinnaughtonjr
This is how you realize the importance of meaningful variable names
I had the same approach to solve the problem but struggled for 3 hours because of the variable names. Thanks Kevin.
Absolutely beautiful! Kudos for the explanation, and for choosing meaningful variable names :)
This is one of the cleanest solutions! Many thanks!
Hello great video Kevin, can you please explain why you had the && res.size() < size check condition with every for loop, I am a little lost. Thank you!
What is the practical application of doing this - other than for a job interview?
Wow, I thought about doing it this way but was afraid to because I thought the numerous for loops inside the while loop seemed wrong but apparently not lol Thanks Kevin! Just one question, why have the same check inside the for loops when the while loop does it for you ?
The nums.size() < size check is to help with dealing with certain edge cases that makes the algo (for some odd reason) run backwards like this case:
[[1,2,3,4],[5,6,7,8],[9,10,11,12]]
without the check, the output is:
[1,2,3,4,8,12,11,10,9,5,6,7,6]
which is incorrect
I think we need to check the same condition for all for-loops because the ArrayList may get filled mid-way of the while loop(i.e maybe after running only left to right or after top to bottom) and in that case, we don't want the rest of the for-loops to run in that iteration.
got this question for my interview today.. Wish i had seen this before.
Did you end up getting the job? and what company gave this question?
@@mohanaravind7656 Microsoft ! No I got rejected in their final round
Same with me. I got this question in interview. I was not able to solve it and got rejected. Interview had only this question.
This is the best solution because the approach seems pretty obvious.
This is a clean solution, very easy to understand and implement
watched it once and got it . Thanks kevin.
Such a clean solution. Thank you!
Thanks! Great explanation! And as already mentioned deal in variable names!
Thank you for all your work man :) I'm going to have an interview for interning at Facebook this month. First missing positive of LC or more videos related to Binary Search and strategies to apply on arrays would be AWESOME. Thank you.
v nice Kevin...like the way you explain your logic, even as you are typing the solution
Thanks Kevin . can you plz upload this: 1192
Critical Connections in a Network
I've got it on my list :)
Please do this ASAP
love your coding videos.thanks for your help. I have a quick question. If you have 5+ years of software engineer experience, should we only expect medium or hard problems?
Thanks Aswin and honestly I think it varies regardless your level of experience...i kind of think the level of difficulty you get is up to chance...but for system design interviews I think the more experience you have the more they'll expect from you!
got it. thanks for the info
@@aswink1505 anytime
You sir are an absolute legend
Thanks Kevin!! .... nice explanation
i think in second loop of for where list is added , it should be
nums.add(matrix[i][right]) ; in place of nums.add(matrix[top][right]) , else it will repeat 6
whole code in a single screen. GREAT
Awesome. Seems like the easiest method you come up with.
Good JOb Kevin.
dude you are genius
You just made it look so easy again 🙌 Kudos
amazing explanation!
Hey , i guess the 2nd for loop instead of top it should be [i]
that's what I meant to do :/
thanks
lovely work, Kev!
Dean thanks Dean!
Ty
Hi Kevin, Can you tell me what software you use to edit the videos with the music in the beginning and the end. Is it some mobile app or some Adobe software ?
Thank you!
Amazing video. Keep up the good work.
Thankyou sir for awesome and such beautiful explanation.
thank u
hey kevin
can u suggest coding sites apart from leetcode for entire preparation for google or Amazon or Microsoft interview.
thanks 🙂
I personally think LeetCode is the best but you can also check out hacker rank for other questions and pramp for mock interviews! If you need help preparing or want to practice mock interviews etc I offer those services too here: www.patreon.com/KevinNaughtonJr
awesome solution
You look like Ozan Kabak from Liverpool FC
this one doesnt work, but the one on your github does. this one works for 3x3 but not for 3*4
yup, it doesn't work for 3*4
duddddeeeeee, I was replaying the video SOOO many times cause i didn't understand why we wrote matrix[top][right] and not matrix[ i ][right]!! and then when i gave up and continued the video it was corrected. F in the chat
Thank you so much for breaking it down so neatly.
function createMatrix(n, m = n) {
let i = 1;
return new Array(m).fill(null).map(() => {
return new Array(n).fill(null).map(() => i++)
})
}
function spiralTraverseMatrix(matrix) {
const items = [];
if (!matrix.length) return items;
let top = 0;
let bottom = matrix.length - 1;
let left = 0;
let right = matrix[0].length - 1;
const size = (bottom + 1) * (right + 1);
while(
top
The inotro and outro music are rather goofy, but it is *so* nice to hear an algorithm explained in normal, US accent English instead of, well, you know!
SpectatorAlius if you like my explanations check out the interviewing service I just released thedailybyte.dev/?ref=kevin
so my uni wants to print a matrix in a spiral form...but the matrix is a 3D lmao
holy shit I fail doing it in 2d
Wow, the nums.size() check was amazing.
hey Kevin,
great work on these problems, helped me understand a lot of patterns.
can you just link the songs that you put in your videos?
you have a great playlist!
hey kevin!
what kind of a moustache is that!
I wrote the same solution)
finallyyy understoodd :)) thankss a lott
Its wrong answer, even your screen says it wrong answer, just compare output and expected output
Used to watch Indians teach on TH-cam. Now I watch Kevin. I love you
thanks for the support David!
I solved recursively: leetcode.com/problems/spiral-matrix/discuss/847626/Recursive-Solution
There are all Indians in The Comment section 😂😂😂😂